# svn_error_t Struct Reference

Subversion error object. More...

`#include <svn_types.h>`

## Data Fields
apr_status_t | apr_err
| APR error value; possibly an SVN_ custom error code (see `svn_error_codes.h' for a full listing).
const char * | message
| Details from the producer of error.
struct svn_error_t * | child
| Pointer to the error we "wrap" (may be `NULL`).
apr_pool_t * | pool
| The pool in which this error object is allocated.
const char * | file
| Source file where the error originated (iff `SVN_DEBUG`; undefined otherwise).
long | line
| Source line where the error originated (iff `SVN_DEBUG`; undefined otherwise).

## Detailed Description

Subversion error object.

Defined here, rather than in svn_error.h, to avoid a recursive #include situation.

Definition at line 91 of file svn_types.h.

## Field Documentation

struct svn_error_t* svn_error_t::child

Pointer to the error we "wrap" (may be `NULL`).

Via this member, individual error object can be strung together into an "error chain".

Definition at line 115 of file svn_types.h.

const char* svn_error_t::message

Details from the producer of error.

Note that if this error was generated by Subversion's API, you'll probably want to use svn_err_best_message() to get a single descriptive string for this error chain (see the child member) or svn_handle_error2() to print the error chain in full. This is because Subversion's API functions sometimes add many links to the error chain that lack details (used only to produce virtual stack traces). (Use svn_error_purge_tracing() to remove those trace-only links from the error chain.)

Definition at line 109 of file svn_types.h.

apr_pool_t* svn_error_t::pool

The pool in which this error object is allocated.

(If Subversion's APIs are used to manage error chains, then this pool will contain the whole error chain of which this object is a member.)

Definition at line 121 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines